Description

Supportanfrage

Ich habe hier einen Kunden der möchte wissen was der im description file wo eintragen muss damit er im Singal View im Table view

die Spalte Text nutzen kann (siehe Bild).

"if possible to display some messages at the tab "Text" below. For example, it will be helpful to display things at the tab "Text"

such as "0: undefined; 1: Lane Keeping; 2: To Left; 3: To right". It looks like the Text tab is there for a reason."

 Er nutzt ADTF 2.13

Ich habe dazu in der Doku irgendwie auch nichts gefunden. Könnt Ihr mir sagen wie er das Feld nutzen kann?

Lösung

Es gibt nur die Möglichkeit das Description Value im Tree View zu setzen, dazu die Membervbariable strDescription von 

tSignalDescription definieren.

Was den Table View betrifft und das Text Value betrifft, ist der einzige Weg, das in der DDL zu beschreiben, über Enums.

Diese ignoriert der Signal Provider aber und reicht es nicht an die Signal Registry weiter.

Das Demo Media Description Display allerdings zeigt die Enum Werte als Textinterpretation an.

Related issues:

Related to Public Support - Support Request #13475: Show enum values in Signa... Closed

History

#1 - 2019-07-22 11:03 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to DisplayTB::SignalView

- Affected Products ADTF 2.13.0, ADTF Display Toolbox 2.1.0 added

#3 - 2019-07-23 10:15 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

Hi Anja,

dazu die Membervbariable strDescription von tSignalDescription setzen.

#4 - 2019-07-23 13:30 - hidden
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/structadtf_1_1t_signal_description.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/structadtf_1_1t_signal_description.html


Hallo,

aber gibt es auch eine Möglichkeit über die DDL description die Membervariable strDescription von tSignalDescription<

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/structadtf_1_1t_signal_description.html> zu setzen?

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

#5 - 2019-07-24 12:17 - hidden

- Status changed from Customer Feedback Required to In Progress

- Support Level changed from 2nd Level to 3rd Level

Hallo Anja,

soweit ich das überblicke wird das nicht gesetzt bzw. ist nicht setzbar via DDL.

Der Media Description bzw. Signal Provider setzt nur die Description für den Signal Tree View.

Ein enum Text Interpretation gibt es nicht...

@Martin ?

#6 - 2019-07-24 14:58 - hidden

Ja, der einzige Weg das in der DDL zu beschreiben ist über Enums. Aber wie Flo schon sagt, ignoriert das der Signal Provider und reicht es nicht an

die Signal Registry weiter. Das Media Description Display allerdings, zeigt die Enum Werte als Text an.

#7 - 2019-07-24 18:23 - hidden

- Status changed from In Progress to Customer Feedback Required

#8 - 2019-07-29 08:51 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-4319 Technical request: How to display text message in signal view (table view) to

EBPRODUCTSUPPORT-4319 How to display text message in Table View

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Not Supported Scope

#9 - 2019-08-08 18:15 - hidden

- Status changed from To Be Closed to Closed

#11 - 2021-01-13 20:37 - hidden

- Customer set to ELEKTROBIT

#12 - 2021-02-17 16:20 - hidden

- Related to Support Request #13475: Show enum values in Signal View added
